//Page class for use with formatted document printer

#ifndef	PAGE_CLS
#define	PAGE_CLS

#include	<time.h>
#include	"line.cls"
#include	<string.h>

class	Page{
	Line	*lines;
	int		PageNumber;
	int		LineNumber;
	int		_LineWidth;
	int		LeftMargin;
	int		RightMargin;
	int		TopMargin;
	int		BottomMargin;
	int		PageLength;
	char	EOL;
	char	File_Name[30];
	char	Path_Name[80];
	BOOL	_UseFF;
	char	_FF;
	BOOL	_ERROR;
	BOOL	_Full;
	BOOL	_UseHeader;
	time_t	T;
public:
	Page();
	Page(int plen,int top,int bottom,int linewidth=80);
	void	Add(char c);
//	BOOL	Complete();
	void	SetFileName(const char *name);
	void	SetPathName(const char *path);
	BOOL	Finished(){ return _Full;}
	void	PrintIt();
	BOOL	Full(){return _Full;}
	void	Flush();
	int		LineWidth(int width=80);
	int		LineWidth(void){ return _LineWidth; }
};


#endif
